@charset "utf-8";
@import url('https://fonts.googleapis.com/css2?family=M+PLUS+1&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Cuprum&display=swap');

html {
    font-size: 10px;
    scroll-behavior: smooth;
}

*,
::before,
::after {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

ul,
ol {
    list-style: none;
}

h1,
h2,
h3 {
    font-weight: normal;
}

a {
    color: inherit;
    text-decoration: none;
    transition: opacity 0.4s 0.1s;
}

a:hover {
    color: #ffbe33;
    transition: 0.3s;
}

a img:hover {
    opacity: 0.6;
    transition: 0.3s;
}

img {
    max-width: 100%;
    /* width: 100%; */
    vertical-align: bottom;
}

button {
    border: none;
    cursor: pointer;
}

body {
    font-size: 1.6rem;
    line-height: 1.4em;
    letter-spacing: 0.1em;
    color: #000;
    font-family: 'メイリオ', 'Meiryo', sans-serif;
    background-color: #fff;
    overflow-x: hidden;
}

.wrap {
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
}

h2 {
    font-family: 'M PLUS 1', sans-serif;
    text-decoration: none;
    font-weight: normal;
    font-size: 2.4rem;
    text-align: center;
}

h2 img {
    width: 150px;
    /* padding-top: 400px; */
}


h3 {
    font-size: 2rem;
    font-family: 'M PLUS 1', sans-serif;
}

.toggle,
#open {
    display: none;
}

header {
    position: fixed;
    width: 100%;
    z-index: 9999;
}

.header-inner {
    display: flex;
    justify-content: space-between;
}

h1 img {
    width: 17%;
    margin: 30px 0 0 40px;
}

nav {
    font-family: 'Cuprum', sans-serif;
    width: 35%;
    height: 100px;
    background: linear-gradient(100deg, #ffffff00, #ffffff90);
}


.header-inner ul {
    display: flex;
    justify-content: flex-end;
    margin: 30px 40px 0 0;
}

.header-inner ul li {
    font-size: 24px;
    padding-left: 80px;
    text-shadow: 1px 1px 5px #fff;
}

.footer-inner {
    background-image: url(../img/footer_img.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    width: 100%;
    padding-top: 22%;
    text-align: center;
    justify-content: center;
    padding-bottom: 30px;
    margin-top: 200px;
}

.contact-mail {
    width: 400px;
    margin: 0 auto;
    background-color: rgba(255, 255, 255, 0.2);
    padding: 10px;
    border-radius: 10px;
}

.contact-p {
    font-size: 1.4rem;
    color: #6d685d;
}

.mail {
    margin-top: 10px;
    font-size: 2.8rem;
    color: #81672f;
}

.no-spam {
    display: none;
}

.copy {
    margin-top: 40px;
    color: #fff;
}

.fadeUp {
    animation-name: fadeUpAnime;
    animation-duration: 2s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.page-top {
    display: none;
    position: fixed;
    bottom: 40px;
    right: 40px;
    width: 60px;
}

.page-top:hover {
    cursor: pointer;
    opacity: 0.6;
    transition: 0.3s;
}

.page-top.active {
    display: block;
}

/* index */
.first-view {
    background: linear-gradient(to bottom, transparent 0%, transparent 90%, #fff 100%), url(../img/top_img2.png);
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
    width: 100%;
    aspect-ratio: 2500/1300;
    /* height: 100vh; */
    text-align: center;
}

.first-view img {
    margin-top: 250px;
    width: 200px;
    margin-bottom: 15px;
}

.first-view h2 {
    font-family: 'Cuprum', sans-serif;
}

.top-works {
    margin: 0 auto;
    padding-top: 220px;
    max-width: 1100px;
}

.genre {
    color: #b0b0b0;
    font-size: 1.4rem;
    margin-top: 20px;
    text-align: left;
}

#works {
    padding-top: 150px;
}

.wrap img {
    width: 450px;
    border-radius: 10px;
    box-shadow: 10px 10px 15px #b0b0b0;
    margin-top: 100px;
}

.wrap {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.wrap p:not(.genre) {
    font-size: 20px;
    margin-top: 3px;
}

.view-more {
    text-align: right;
}

.arrow {
    display: inline-block;
    position: relative;
    width: 110px;
    padding-top: 50px;
    text-align: left;
}

.arrow::after {
    display: block;
    position: absolute;
    content: "";
    top: calc(50% - -20px);
    right: 20px;
    width: 30px;
    height: 5px;
    border-right: 2px solid #000;
    border-bottom: 1px solid #000;
    transform: skew(45deg);
    transition: .3s;
}

.arrow:hover::after {
    right: 5px;
    width: 40px;
}

.top-prof {
    max-width: 1100px;
    margin: 300px auto 0;
}

.top-prof::before,
.top-prof::after,
.after::after {
    display: block;
    content: "";
    border-top: 3px dashed #ffbe33;
}

.top-prof::after {
    margin-top: 50px;
}

.top-prof-inner {
    display: flex;
    margin-top: 50px;
    align-items: flex-start;
    justify-content: space-around;
    flex-direction: row-reverse;
}

.top-container {
    text-align: center;
    width: 50%;
}

#arch {
    font-size: 2.2rem;
    margin-right: 15px;
    padding-top: 30px;
}

h2 span {
    font-size: 2rem;
}

.top-prof h2 {
    font-size: 3rem;
    margin-top: 25px;
}

.top-container img {
    width: 550px;
    /* margin-top: 20px; */
}

.prof-p {
    margin-top: 50px;
}

.space {
    margin-top: 30px;
    line-height: 1.5em;
}

.profile-img {
    width: 300px;
    border-radius: 10px;
    margin: 100px 0 200px 50px;
}

/* profile */
.profile {
    text-align: center;
}

.profile h2 img {
    padding-top: 150px;
}

.prof-img {
    margin-top: 50px;
    border-radius: 10px;
}

.prof-title {
    font-size: 2.4rem;
    padding-top: 100px;
}

.about-me {
    margin: 0 auto;
    max-width: 1100px;
}

h3::after {
    display: block;
    content: "";
    width: 50px;
    border-bottom: 2px solid #ffbe33;
    margin: 10px auto 0;
}

.about-text {
    margin-top: 25px;
}

.like {
    margin-top: 20px;
}

.skill {
    margin-top: 250px;
    background-color: #fff9e5;
    width: 100%;
    padding: 50px;
}

.container {
    display: flex;
    max-width: 1100px;
    justify-content: space-around;
    margin: 30px auto;
}

.skill-box img {
    width: 75px;
    margin-top: 20px;
}

.skill-box {
    width: 25%;
}

h3:not(.prof-title) {
    margin-top: 15px;
}

.skill-text,
.skill-experience {
    margin-top: 30px;
    text-align: left;
}

.skill-experience {
    font-size: 14px;
}

.skill-experience span {
    letter-spacing: 0.4em;
}

.border {
    display: block;
    height: 420px;
    border-left: 2px dashed #ffbe33;
}

.space {
    margin-top: 50px;
}

.dream {
    width: 1100px;
    display: flex;
    justify-content: space-around;
    margin: 200px auto 0;
}

.balloon-right {
    position: relative;
    display: inline-block;
    margin: 1.5em 15px 1.5em 0;
    padding: 25px 30px;
    min-width: 120px;
    max-width: 40%;
    height: 200px;
    background: #FFF;
    border: solid 3px #b3b3b3;
    box-sizing: border-box;
    border-radius: 10px;
}

.balloon-right:before {
    content: "";
    position: absolute;
    top: 50%;
    right: -24px;
    margin-top: -12px;
    border: 12px solid transparent;
    border-left: 12px solid #FFF;
    z-index: 2;
}

.balloon-right:after {
    content: "";
    position: absolute;
    top: 50%;
    right: -30px;
    margin-top: -14px;
    border: 14px solid transparent;
    border-left: 14px solid #b3b3b3;
    z-index: 1;
}

.dream-title,
.dream-text {
    text-align: left;
}

.dream-title {
    font-size: 2rem;
}

.dream-text {
    margin-top: 10px;
    font-size: 1.5rem;
}

.dream img {
    max-width: 40%;
}

.orange {
    background-image: url(../img/footer_img2.png);
}

/* detail */
.detail {
    max-width: 1100px;
    margin: 0 auto;
    padding-top: 150px;
    text-align: center;
}


.detail h2 {
    text-align: left;
    font-size: 2.6rem;
}

.detail img {
    margin: 170px;
    box-shadow: 10px 10px 15px #b0b0b0;
}

dl {
    padding: 150px 150px 0;
    display: flex;
    flex-wrap: wrap;
    text-align: left;
}

dt {
    width: 200px;
    padding: 30px 0;
    /* font-size: 1.8rem; */
    font-weight: bold;
}

dd {
    width: calc(100% - 200px);
    padding: 30px 0;
}

.flex {
    display: flex;
    margin-top: 150px;
}

.flex img {
    margin: 0 auto 30px;
}

.pc {
    margin-right: 20px;
}

@keyframes fadeUpAnime {
    from {
        opacity: 0;
        transform: translateY(100px);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}

@media (max-width: 800px) {

    /* ハンバーガーメニューの背景*/
    .toggle {
        display: block;
        text-align: right;
        cursor: pointer;
    }

    label {
        position: absolute;
        top: 10px;
        right: 2%;
        width: 40px;
        height: 40px;
        display: block;
        background: rgba(255, 255, 255, 0.8);
        border: 2px solid #ffbe33;
        border-radius: 5px;
    }

    label span {
        width: 60%;
        height: 4px;
        display: block;
        position: absolute;
        left: 20%;
        background-color: #ffbe33;
        border-radius: 5px;
        /* ハンバーガーメニュー変化アニメーション*/
        transition: all 0.2s linear;
    }

    label span:nth-of-type(1) {
        /* 三本線から × に変化するアニメーション  */
        top: 10px;
        transform: rotate(0);
    }

    label span:nth-of-type(2) {
        top: 16px;
        transform: scale(1);
    }

    label span:nth-of-type(3) {
        bottom: 10px;
        transform: rotate(0);
    }

    #open:checked+label span:nth-of-type(1) {
        top: 16px;
        transform: rotate(-45deg);
    }

    #open:checked+label span:nth-of-type(2) {
        transform: scale(0);
    }

    #open:checked+label span:nth-of-type(3) {
        bottom: 16px;
        transform: rotate(45deg);
    }

    nav {
        position: fixed;
        top: -100%;
        overflow: hidden;
        width: 100%;
        height: 50%;
        transition: top .5s, bottom .5s;
        background-color: rgba(255, 190, 51, 0.9);
        /* background-color: rgba(71, 83, 84, 0.8); */
        z-index: -1;
    }

    .container {
        padding: 0;
    }

    .header-inner ul {
        display: block;
        text-align: center;
        line-height: 5em;
        padding-top: 100px;
    }

    #open {
        display: none;
    }

    #open:checked~nav {
        top: 0;
    }

    .tmb {
        display: block;
    }

    .first-view {
        height: 100vh;
        max-width: 800px;
        background-size: cover;
    }

    .top-works {
        max-width: 450px;
        padding-top: 130px;
    }

    .wrap {
        display: block;
    }

    .top-prof,
    .about-me {
        max-width: 90%;
        text-align: center;
    }

    .top-prof-inner {
        display: block;
        margin-top: 80px;
    }

    .profile-img {
        margin: 80px 0 0;
    }

    .top-container {
        width: 100%;
    }

    #arch {
        padding-top: 60px;
    }

    .space {
        margin-top: 1em;
    }

    .prof-p {
        margin-top: 30px;
    }

    .footer-inner {
        margin-top: 100px;
        padding-bottom: 10px;
    }

    .copy {
        margin-top: 20px;
    }

    .container {
        display: block;
    }

    .border {
        height: 80px;
        /* width: 90%; */
        border-bottom: 2px dashed #ffbe33;
        border-left: 0;
    }

    .skill-box {
        width: 100%;
        margin-top: 80px;
    }

    .skill {
        padding-bottom: 80px;
    }

    .dream {
        display: block;
        width: 90%;
    }

    .dream img {
        max-width: 60%;
        margin-top: 30px;
    }

    .balloon-right {
        max-width: 70%;
    }

    .balloon-right:before {
        display: none;
    }

    .balloon-right:after {
        display: none;
    }

    .balloon-bottom:before {
        content: "";
        position: absolute;
        bottom: -24px;
        left: 50%;
        margin-left: -15px;
        border: 12px solid transparent;
        border-top: 13px solid #FFF;
        z-index: 2;
    }

    .balloon-bottom:after {
        content: "";
        position: absolute;
        bottom: -30px;
        left: 50%;
        margin-left: -17px;
        border: 14px solid transparent;
        border-top: 14px solid #b3b3b3;
        z-index: 1;
    }

    .genre {
        margin-top: 40px;
    }

    .detail {
        width: 90%;
    }

    .detail img {
        margin: 100px auto 170px;
    }

    dl {
        display: block;
        padding: 150px 100px 0;
    }

    dt {
        padding: 30px 0 20px;
    }

    dd {
        width: 100%;
        padding: 0 0 50px;
    }

    .flex img {
        margin: 0 auto 30px;
    }
}

@media (max-width: 400px) {

    p,
    .skill-experience,
    dt,
    dd {
        font-size: 1.2rem;
    }

    h1 img {
        margin: 15px 0 0 15px;
    }

    .header-inner ul {
        padding-top: 50px;
        line-height: 4em;
    }

    .page-top {
        width: 45px;
        bottom: 20px;
        right: 15px;
    }

    .first-view img {
        margin-top: 250px;
        width: 150px;
    }

    h2 img {
        width: 100px;
    }

    .top-works {
        max-width: 80%;
    }

    .genre {
        margin-top: 20px;
    }

    .top-prof-inner {
        margin-top: 0;
    }

    .top-prof h2 {
        font-size: 2.2rem;
        margin-top: 20px;
    }

    h2 span {
        font-size: 1.8rem;
    }

    #arch {
        font-size: 1.8rem;
        /* padding-top: 25px; */
    }

    .contact-mail {
        width: 250px;
    }

    .contact-p {
        font-size: 1.2rem;
    }

    .mail {
        font-size: 1.8rem;
        margin-top: 0;
    }

    .copy {
        margin-top: 10px;
    }

    .footer-inner {
        padding-bottom: 0;
    }

    .prof-title,
    h2,
    .detail h2 {
        font-size: 2.2rem;
    }

    h3 {
        font-size: 1.8rem;
    }

    .skill-box {
        margin-top: 50px;
    }

    .dream-title {
        font-size: 1.4rem;
    }

    .dream-text {
        margin-top: 0;
        font-size: 1.2rem;
    }

    .balloon-right {
        max-width: 80%;
    }

    .dream img {
        max-width: 80%;
        margin-top: 25px;
    }

    dl {
        padding: 100px 30px 0;
    }

    dt {
        padding: 0;
    }

    dd {
        width: 100%;
        padding: 10px 0 50px;
    }


}